AutoCAD Inventor :: How To Create Custom Sketch Ribbon
Sep 14, 2012
How to create a custom ribbon with sketches cmd... I found example for assembly context... it work well but I don't find how to do that in sketch mode... The goal is to control the cmd the user can use.
I'm trying to find a way to add a custom button to my ribbon that will launch a global rule or form using VB. I know of a way using VBA but I want to get away from VBA. I'd much rather create an add with VB and use that.
I have been using AutoCAD 2006. Our company is switching to AutoCAD 2012 LT. I want to be able to add my custom toolbar buttons from the 2006 to the 2012 LT custom Ribbon Tabs & Panels. I have figured out how to make the custom ribbon, tab and panel. I just haven’t figured out what I need to do to get the old stuff to where I can add them to the panels.
I have custom 2006 buttons with and without flyouts.
How would i insert the "variable name" of a custom iProp to a sketched symbol definition (in an idw)?
I can plonk the value of the iProp in no worries, but to make it "live" is a bit beyond me...
Sub WeldNote()On Error Resume NextDim oDoc As DrawingDocumentDim SketchedSym As SketchedSymbolDefinitionDim oNoteDef As SketchedSymbolDefinitionDim oDefSketch As SketchDim oTextbox As TextBoxDim SNewText As StringDim sNoteText As StringDim oReffedDoc As DocumentDim lReffedWeldType As Long'Err.ClearIf
How to create a ribbon with a button. I am creating an add-in for Inventor. I am trying to put this code in the Activate Sub but it's not adding the ribbon once I open a drawing. Just trying to use this example to get me started.
public void AddParallelEnvironment(){ Application oApp = ThisApplication; // Get the Environments collection Environments oEnvironments = oApp.UserInterfaceManager.Environments; // Create a new environment Inventor.Environment oNewEnv = oEnvironments.Add("Some Analysis", "SomeAnalysis", null, null, null); // Get the ribbon associated with the assembly environment [Code] ..........
I’m trying to get the embossed text on a nameplate (done in sketch on a part) to change with updating a custom property in iProperties. Right now I’m using iLogic so I can change the text in User Parameters and that updates the embossed text. So where I’m having an issue is the Export Parameters tab is grayed out so I can’t get it work with my custom properties.
What I would like to do is create a custom dialogue for each of 3 or 4 standard sketch symbols we use on a regular basis. I'd like to load 'suggsted' values out of an excel spreadsheet and allow the user to pick from them or enter in a custom text string if required. The values would then become part of the sketch symbol.
I've spent some time looking into iLogic rules and I think I've determined that they're not flexible enough to do what I want.
If I'm correct, it is possible (or a good idea) to do this using a VBA macro? I'm a little hesitant to go down the full blown add-in route. While I'm pretty confident I could work it out.
I am trying to create a ribbon cable between two connectors, but for some reason the ribbon cable starts away from the connector and I am not sure why?
I want a to create a tool button on the annotate tab of the ribbon. The button will toggle between having the 'display line weights' box (on the drawing tab of the application options dialog box) ticked or not ticked.
I have the settings set to display true line weights. (so i can visualize how the actual print will look, but need it off to be able to draft properly).
I'm trying to figure out how to create an iLogic rule that would create a Custom iProperties and put in what version of Inventor the file was last updated with.
I created a 12-sided polygon shape in the sketch mode. I created one line, fully constrained it and then used the circular pattern to finish the shape. Why can't I extrude the shape?
I have attached the file. It's a pretty basic shape. I don't understand why it wouldn't work...
creating a named sketch block (in an ipt) containing entities that I have created in the same sub? I'm doing this from Excel, in Inventor 2010.
What I have:
Function CreateUncutTagSketchBlock()Dim IVApp As Inventor.ApplicationDim oDoc As DocumentDim oCompDef As ComponentDefinitionDim oSketch As SketchDim oTG As TransientGeometryDim FileName As StringDim Coords(1 To 10) As Point2dDim oSketchCircle As Circle2dDim oSketchArcs(1 To 2)
[code]....
note that i've also taken a shortcut with the arcs, and the circle. I did try to create them using the same naming convention as the lines, but... I failed to implement it successfully.Also, I can not quite figure out how to constrain all the start/end points together.
I created a 2D planar sketch, now I need to create a 3D sketch and Helical curves, but as I enter into the 3D sketch mode, I cannot perform any functions, all my tool bar options are grayed out?
I created an assembly of parts and then converted my assembly to a weldment. I then realized that I need to create a sketch and make an edit to my assembly. The sketch command is greyed out however. I did some trouble shooting and realized that once I converted it, it no longer allows me to make edits. Is there anyway I can get around this? do I now have to re-create the entire assembly to make this edit at the assembly level? If so this would really suck since it is a rather large assembly. I see saving as a new IAM doesn't work as well.
I have this assembly shown in the pic. below. I'm trying to create a point or axis in the blue corner points (to attaches something later on) but it just won't let me choose it for some reason. I know that it's possible to to do that (almost sure I already done this trivial thing in inventor.)
Any reason it's not letting me choose the sketch points/line to in order to create points or axis(s)?
I am trying to create a sketch on a face for an extrusion. The sketch has a text box. I am having trouble excluding the text in a sketch otherwise all the closed geometries of the text get extruded.
I created an objectCollection and excluded the TextBox objects. Still not working.
I am not sure exactly why this is a limited feature of Inventor 2011 but when you want to select a sketch to create a boundary patch you have to select each part of the sketch in sequence. It's a pretty laborious task. I am looking to a way to automate this using i logic.
In 5.3 I can create reference dimensions in sketch mode to my hearts content. They became very valuable as I would use them to determine placement of multiple features. Now, in IV 7, I have alot of trouble creating reference dimensions from adjacent features on the same surface. I have to change the way I'm working now and it has stumped me on a few occasions. is there a "new" feature I need to enable or is this the cost of progress?
I'd like to add a sketch to my drawing - a sketch that is independent of any other views. Is it possible to make this sketch have a scale associated with it instead of being 1:1?
Right now I am just overriding all of my dimensions.
I use the same sketch to create a break out view in one type of drawing. I may be blind, but I can't seem to find a way to save that sketch and reuse it when I want to create a break out view.
Im trying to create a shape like the attached image using sheet metal loft from one sketch to the second sketch. No problem doing that but i want to extend the neck on the small end 1 inch like the attached image.
Currently the product is produced using 4 panels brazed together. I want to create the product with 2 bent panels 90 degrees that are split apart from the loft.
Not sure if this even possible in the real world sheet metal house to develop the flat pattern.
I am using projected and sketched geometry (2D sketches) in assembly space to create lines/ points that I intend to use to define planes and axes. The problem I have is that nearly all the geometry I create (lines and points in 2D sketches) is not "selectable" when I try to create planes or axes. I cannot even put a work points "on top of" my sketch points. Why are my sketches not usable in the assembly space? Since the components in my model are just two extruded rings I don't have any linear edges I can select to make this work/ define planes.
I want to draw a line between the two sketches visible on the image below. The line should be in the plane visible. The starting point of the line should be from wherever the top sketch intersects the plane of the current sketch. The finnish point of the line should be wherever a line of the bottom sketch intersects the current sketch plane.
There is no tooltip appearing that would allow me to quickly "attach" the starting line to the correct position. Is there such an aid, and how do i turn it on?